# classes/phing/types/RegularExpression.php

## \RegularExpression
jump to top

A regular expression datatype. Keeps an instance of the compiled expression for speed purposes. This compiled expression is lazily evaluated (it is compiled the first time it is needed). The syntax is the dependent on which regular expression type you are using.

This class handles the common description attribute and provides a default implementation for reference handling and checking for circular references that is appropriate for types that can not be nested inside elements of the same type (i.e. patternset but not path)

Extends from
  \DataType
see
  \phing.util.regex.RegexMatcher
access
  public
author
  Yannick Lecaillez
package
  phing.types
version
  $Revision: 779 $ $Date: 2010-05-13 05:57:59 +0200 (Thu, 13 May 2010) $

### Properties

`$ignoreCase= 'false'`

Default value `false` Details

Type
todo
  Probably both $ignoreCase and $multiline should be removed from attribute list of RegularExpression class: actual values are preserved on regexp *engine* level, not expression object itself.

`$multiline= 'false'`
Default value `false` Details

Type

`$regexp= 'null'`
Default value `null` Details

Type

### Methods

`__construct( ) :`
`getIgnoreCase( ) :`
`getModifiers( ) :`
`getMultiline( ) :`
`getPattern( $p ) :`
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`getRef( $p ) :`
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`getRegexp( $p ) :`
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`getReplace( $p ) :`
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`setIgnoreCase( $bit ) :`
Parameters

Name | Type | Description
--- | --- | ---
$bit |  |

`setModifiers( $modifiers ) :`
Parameters

Name | Type | Description
--- | --- | ---
$modifiers |  |

`setMultiline( $multiline ) :`
Parameters

Name | Type | Description
--- | --- | ---
$multiline |  |

`setPattern( $pattern ) :`
Parameters

Name | Type | Description
--- | --- | ---
$pattern |  |

`setReplace( $replace ) :`
Parameters

Name | Type | Description
--- | --- | ---
$replace |  |

Documentation was generated by DocBlox 0.13.1.